Distro Upgrade Issues

7 posts / 0 new
Last post
kerensen
kerensen's picture
Distro Upgrade Issues

Using these instructions:

cd /usr/src/upgrades/
wget http://upgrades.freepbxdistro.org/1.8.2.0/upgrade-1.8.2.0-1.sh
chmod +x upgrade-1.8.2.0-1.sh
./upgrade-1.8.2.0-1.sh
reboot

I'm attempting to upgrade from 1.8.1.4-3

The upgrade script starts but begins looping:

[root@asterisk1 ~]# running http://upgrades.schmoozecom.net/pbxact-upgrades/sysadminUpgrade-4.32.6.2-7.sh
[root@asterisk1 ~]# cat: /etc/asterisk/pbx-version: No such file or directory
[root@asterisk1 ~]# mkdir: cannot create directory `/usr/tmp/sa4.32.6.2-7': File exists
[root@asterisk1 ~]# cat: /etc/asterisk/pbx-version: No such file or directory
[root@asterisk1 ~]# mkdir: cannot create directory `/usr/tmp/sa4.32.6.2-7': File exists
[root@asterisk1 ~]# cat: /etc/asterisk/pbx-version: No such file or directory
[root@asterisk1 ~]# mkdir: cannot create directory `/usr/tmp/sa4.32.6.2-7': File exists
...

until I break out using ctrl"c"

Can anyone please help?
Thanks!

cosmicwombat
cosmicwombat's picture
I think you have to do each on in succession.

Start at the next one from from 1.8.1.4-3 and move up. See http://www.freepbx.org/news/2011-08-11/security-advisory-web-services-aug-11-2011 for the link to the various updates.

alan_mousty
alan_mousty's picture
The Release page states the

The Release page states the following

All upgrades need to be installed in numeric ascending order.

1.8.2.0-1 would be then next version to upgrade to.

alan_mousty
alan_mousty's picture
The Release page states the

The Release page states the following

All upgrades need to be installed in numeric ascending order.

kerensen
kerensen's picture
Thanks for the input.

Thanks for the input. Unless I'm misreading, that's exactly what I'm attempting to do.

Upgrade from: 1.8.1.4-3
To: 1.8.2.0-1

alan_mousty
alan_mousty's picture
It appears that the first

It appears that the first error message is due to the fact that "/etc/asterisk/pbx-version" does not exist. I just checked a new install of the latest distro and that file indeed does not exist. The only two files that contain the word "version" are listed below.

# ls -la /etc/asterisk/*ver*
-rw-rw-r-- 1 asterisk asterisk 13 Oct  7 00:33 /etc/asterisk/freepbxdistro-version
-r--rw-r-- 1 asterisk asterisk 16 Oct  7 00:30 /etc/asterisk/version

I looked at the source code for the upgrade you are running and can't find any instance of the string "pbx-version". It is possible that the upgrade script is corrupt. Have you tried downloading a fresh copy of the upgrade script?

shlegm
shlegm's picture
I am seeing the same error

I can confirm the same issue as reported by kerensen is happening on my system as well. Here is the output of /var/log/pbx/upgrade/1.8.2.0-1 and /var/log/pbx/upgrade/sa4.32.6.2-7 showing how far into the script each file is getting...

1.8.2.0-1:
Wed Nov 2 20:17:32 MST 2011 Your FreePBX Distro System is being upgraded to 1.8.2.0-1. Please standby...
Wed Nov 2 20:17:32 MST 2011 STAGE 1 STARTING - GUI Modules
VARIABLES SET FOR UPGRADE
asterisk=Asterisk 1.8.6.0 built by root @ freepbxdev1.schmoozecom.net on a i686 running Linux on 2011-09-02 01:58:28 UTC
kernel=Linux 2.6.18-194.17.1.el5 #1 SMP Wed Sep 29 12:51:33 EDT 2010 i686 i686 i386 GNU/Linux
version=1.8.1.4-3
host=
upgradeversion=1.8.2.0-1
virtual=0

sa4.32.6.2-7:
Wed Nov 2 21:20:45 MST 2011 Your PBXact System is being upgraded to sa4.32.6.2-7. Please standby...
Wed Nov 2 21:20:45 MST 2011 STAGE 1 STARTING - GUI Modules
VARIABLES SET FOR UPGRADE
asterisk=No such command 'show version' (type 'core show help show version' for other possible commands)
kernel=Linux 2.6.18-194.17.1.el5 #1 SMP Wed Sep 29 12:51:33 EDT 2010 i686 i686 i386 GNU/Linux
version=Asterisk 1.8.3.2
host=
upgradeversion=sa4.32.6.2-7
virtual=0

The output to the screen after executing 1.8.2.0-1.sh is as follows:
Your FreePBX Distro System is being upgraded to 1.8.2.0-1. Please standby...

STAGE 1 STARTING - GUI Modules

string(223) "<?xml version="1.0" encoding="utf-8"?>
sa4.32.6.2-7http://upgrades.schmoozecom.net/pbxact-upgrades/sysadminUpgrade-4.32.6.2...
"
Array
(
[status] => ok
[data] => Array
(
[sa4.32.6.2-7] => Array
(
[url] => http://upgrades.schmoozecom.net/pbxact-upgrades/sysadminUpgrade-4.32.6.2-7.sh
[changelog] =>
)

)

)
running http://upgrades.schmoozecom.net/pbxact-upgrades/sysadminUpgrade-4.32.6.2-7.sh
mkdir: cannot create directory `/usr/tmp/sa4.32.6.2-7': File exists
mkdir: cannot create directory `/usr/tmp/sa4.32.6.2-7': File exists
mkdir: cannot create directory `/usr/tmp/sa4.32.6.2-7': File exists
mkdir: cannot create directory `/usr/tmp/sa4.32.6.2-7': File exists
[The mdkir error line will continue until I hit Ctrl-C.]

-----
The error above in the sa4.32.6.2-7 output file which shows, "asterisk=No such command 'show version'" seems interesting to me. In the sysadminUpgrade-4.32.6.2-7.sh file, the asterisk variable is set to, "asterisk=`/usr/sbin/asterisk -rx "show version"`" [Note "core show version" is correct syntax]. The "1.8.2.0-1.sh" file sets the "asterisk" variable correctly.

I hope all this info helps. Any suggestions/edits please let me know.